import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {Game} from 'src/app/models/game';

@Component({
  selector: 'app-games',
  templateUrl: './games.component.html',
  styleUrls: ['./games.component.css']
})
export class GamesComponent implements OnInit {

  @Input() games!: Array<Game>;

  @Output() reloadEvent: EventEmitter<any> = new EventEmitter();

  constructor() {
  }

  ngOnInit(): void {
  }

  triggerRefreshEvent(): void {
    this.reloadEvent.emit(null);
  }
}
